// cl/algorithms/single.cpp
#include<cl/algorithms/single.hpp>

namespace ClusLib {

    void Single::update_dm(Size p, Size q, Size r) const {
        Real dist;
        std::set<Size>::iterator it;
        for(it = _unmergedClusters.begin();
            it != _unmergedClusters.end(); ++it) {
            if(*it == r) {
                continue;
            }

            dist = std::min(_dm(p,*it), _dm(q,*it));
            _dm.add_item(r,*it,dist);
        }
    }

}
