// cl/algorithms/weighted.cpp
#include<cl/algorithms/weighted.hpp>

namespace ClusLib {

    void Weighted::update_dm(Size p, Size q, Size r) 
        const {
        Real dist;
        std::set<Size>::iterator it;
        for(it = _unmergedClusters.begin();
            it != _unmergedClusters.end(); ++it) {
            if(*it == r) {
                continue;
            }

            dist = (_dm(p,*it) + _dm(q,*it)) / 2;
            _dm.add_item(r,*it,dist);
        }
    }

}
