// cl/clusters/centercluster.cpp
#include<cl/clusters/centercluster.hpp>

namespace ClusLib {

    CenterCluster::CenterCluster(
        const boost::shared_ptr<Record>& center)
    : _center(center) {
    }

    const boost::shared_ptr<Record>& CenterCluster::center() 
        const {
        return _center;
    }

    boost::shared_ptr<Record>& CenterCluster::center() {
        return _center;
    }
}
