// cl/clusters/centercluster.hpp
#ifndef CLUSLIB_CENTERCLUSTER_HPP
#define CLUSLIB_CENTERCLUSTER_HPP

#include<cl/clusters/cluster.hpp>
#include<cl/datasets/record.hpp>

namespace ClusLib {

    class CenterCluster: public Cluster {
    public:
        CenterCluster() {}
        CenterCluster(const boost::shared_ptr<Record>& center);
        const boost::shared_ptr<Record>& center() const;
        boost::shared_ptr<Record>& center();

    protected:
        boost::shared_ptr<Record> _center;
    };

}


#endif
