// cl/clusters/cluster.hpp
#ifndef CLUSLIB_CLUSTER_HPP
#define CLUSLIB_CLUSTER_HPP

#include<vector>
#include<cl/datasets/record.hpp>
#include<cl/utilities/container.hpp>

namespace ClusLib {

    class Cluster: public Container<boost::shared_ptr<Record> > {
    public:
        virtual ~Cluster() {}

        void set_id(Size id);
        Size get_id() const;

    protected:
        Size _id;
    };

    inline void Cluster::set_id(Size id) {
        _id = id;
    }

    inline Size Cluster::get_id() const {
        return _id;
    }
}

#endif
