// cl/clusters/subspacecluster.hpp
#ifndef CLUSLIB_SUBSPACECLUSTER_HPP
#define CLUSLIB_SUBSPACECLUSTER_HPP

#include<cl/clusters/centercluster.hpp>
#include<vector>

namespace ClusLib {

    class SubspaceCluster : public CenterCluster { 
    public:
        SubspaceCluster (const boost::shared_ptr<Record>& center);
        std::vector<Real>& w();
        const std::vector<Real>& w() const;
        Real& w(Size i);
        const Real& w(Size i) const;

    protected: 
        std::vector<Real> _w;
    };
}

#endif
