// cl/distances/euclideandistance.hpp
#ifndef CLUSLIB_EUCLIDEAN_DISTANCE
#define CLUSLIB_EUCLIDEAN_DISTANCE

#include<cl/distances/minkowskidistance.hpp>


namespace ClusLib {

    class EuclideanDistance: public MinkowskiDistance {
    public:
        EuclideanDistance(); 
        Real operator()(const boost::shared_ptr<Record>&, 
            const boost::shared_ptr<Record>& ) const;
    };

}

#endif
