// cl/utilities/datasetnormalizer.hpp 
#ifndef CLUSLIB_DATASETNORMALIZER_HPP
#define CLUSLIB_DATASETNORMALIZER_HPP

#include<cl/utilities/dataadapter.hpp>
#include<cl/utilities/matrix.hpp>
#include<vector>
#include<boost/random.hpp>

namespace ClusLib {

    class DatasetNormalizer: public DataAdapter {
    public:
        DatasetNormalizer(const boost::shared_ptr<Dataset> &ds);
        void fill(boost::shared_ptr<Dataset> &ds);

    protected: 
        void get_minmax();

        std::vector<Real> _dvMin;
        std::vector<Real> _dvMax;
        boost::shared_ptr<Dataset> _ods;
    };
}

#endif
