// cl/algorithms/average.cpp
#include<cl/algorithms/average.hpp>

namespace ClusLib {

    void Average::update_dm(Size p, Size q, Size r) 
        const {
        Real dist;
        std::set<Size>::iterator it;
        for(it = _unmergedClusters.begin();
            it != _unmergedClusters.end(); ++it) {
            if(*it == r) {
                continue;
            }

            dist = (_clusterSize[p]*_dm(p,*it) +
                    _clusterSize[q]*_dm(q,*it)) / _clusterSize[r];
            _dm.add_item(r,*it,dist);
        }
    }

}
