// cl/algorithms/complete.cpp
#include<cl/algorithms/complete.hpp>

namespace ClusLib {

    void Complete::update_dm(Size p, Size q, Size r) 
        const {
        Real dist;
        std::set<Size>::iterator it;
        for(it = _unmergedClusters.begin();
            it != _unmergedClusters.end(); ++it) {
            if(*it == r) {
                continue;
            }

            dist = std::max(_dm(p,*it), _dm(q,*it));
            _dm.add_item(r,*it,dist);
        }
    }

}
