// cl/datasets/attrvalue.hpp
#ifndef CLUSLIB_ATTRVALUE_HPP
#define CLUSLIB_ATTRVALUE_HPP

#include<boost/variant.hpp>
#include<cl/types.hpp>
#include<cl/utilities/null.hpp>

namespace ClusLib {

    class AttrValue {
    public:
        friend class DAttrInfo;
        friend class CAttrInfo;

        typedef boost::variant<Real, Size> value_type;
        AttrValue();

    private:
        value_type _value;
    };

    inline AttrValue::AttrValue(): _value(Null<Size>()) {
    }

}

#endif
