// cl/distances/simplematchingdistance.hpp
#ifndef CLUSLIB_SIMPLEMATCHINGDISTANCE_HPP
#define CLUSLIB_SIMPLEMATCHINGDISTANCE_HPP

#include<cl/distances/distance.hpp>

namespace ClusLib {

    class SimpleMatchingDistance: public Distance {
    public:
        SimpleMatchingDistance();
        Real operator()(const boost::shared_ptr<Record>&, 
            const boost::shared_ptr<Record>&) const;
    };

    inline SimpleMatchingDistance::SimpleMatchingDistance()
        : Distance("Simple Matching distance") {
    }

}

#endif
